summaryrefslogtreecommitdiffstats
path: root/testsuite/dwz.tests/pr24171.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 17:55:52 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 17:55:52 +0000
commitf7a951d79bc895eb2171c2570add9f4899794a10 (patch)
treecc0c7147f472fecbc93add134f5c0e5c1bb72529 /testsuite/dwz.tests/pr24171.sh
parentInitial commit. (diff)
downloaddwz-upstream/0.15.tar.xz
dwz-upstream/0.15.zip
Adding upstream version 0.15.upstream/0.15upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'testsuite/dwz.tests/pr24171.sh')
-rw-r--r--testsuite/dwz.tests/pr24171.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/testsuite/dwz.tests/pr24171.sh b/testsuite/dwz.tests/pr24171.sh
new file mode 100644
index 0000000..dd99c05
--- /dev/null
+++ b/testsuite/dwz.tests/pr24171.sh
@@ -0,0 +1,15 @@
+cp $execs/invalid-dw-at-stmt-list-encoding 1
+cp 1 2
+
+if dwz -m 3 1 2 2>dwz.err; status=$?; then
+ true
+fi
+
+if ! grep -q "DW_AT_stmt_list not DW_FORM_sec_offset or DW_FORM_data4" dwz.err; then
+ cat dwz.err
+ exit 1
+fi
+
+[ $status -eq 1 ]
+
+rm -f 1 2 dwz.err